﻿@model IEnumerable<WebApplication9.Models.INGRESA_VEHICULO>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            <p>RUT del Cliente</p>
        </th>
        <th>
            <p>Patente</p>
        </th>
        <th>
            <p>Fecha de ingreso</p>
        </th>
        <th>
            <p>Valor Total Servicios</p>
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>

            @Html.DisplayFor(modelItem => item.INGR_RUT_CLIENTE)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.AUTOS.PATENTE)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.INGR_FECHA_INGRESO)
        </td>
        <td>
            @item.SERVICIOS.Sum(x => x.SERVI_VALOR)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.INGR_ID }) |
            @Html.ActionLink("Details", "Details", new { id=item.INGR_ID }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.INGR_ID })
        </td>
    </tr>
}

</table>
